SPA Credentials
SPA: Retrieves a single Credential
Returns a single credential by ID.
GET
/api/spa/credentials/{id}Authorizations
X-AUTH-TOKEN
stringheaderrequired
Value for the X-AUTH-TOKEN header parameter.
Path Parameters
id
stringrequired
Credential identifier
Response
200
Credential resource
id
integer
Identifier generated by Output.Rocks.
identifier
stringrequired
Unique identifier for the credential
encrypted
boolean
Whether the value is encrypted
value
stringrequired
The credential value (masked if encrypted)
createdBy
string
User, created this entry
updatedBy
string
User, updated this entry
createdAt
string<date-time>
UTC date time of entry creation
updatedAt
string<date-time>
UTC date time of last entry update
active
boolean
Active flag. Default: true
activeFrom
string<date-time>
Date to activate the entry. Default: today
subClientDefault
boolean
Default for environmental tenants (sub-clients)
subClientId
integer
SubClient ID. Provided on instances with enabled sub-client module only.
subClientDescription
string
SubClient description. Provided on instances with enabled sub-client module only.